Skip to content

Get provider location by id

Request

Get info about a provider location by provider_location_id

Security
ClientCredentialsFlow or AuthorizationCodeFlow
Path
provider_location_idstringrequired

The Zocdoc provider location id to get details for.

Example:pr_abc123-def456_wxyz7890|lo_abc123-def456_wxyz7890
Query
insurance_plan_idstring

The Zocdoc ID of the patient's insurance plan. Use the Get Insurance Plans endpoint to retrieve available plans.

Example:insurance_plan_id=ip_31820
curl -i -X GET \
  'https://api-developer-sandbox.zocdoc.com/v1/provider_locations/pr_abc123-def456_wxyz7890|lo_abc123-def456_wxyz7890?insurance_plan_id=ip_31820' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Successful

Bodyapplication/json
request_idstringrequired

Unique request identifier for tracing

dataobject(ProviderLocation)
Response
{ "request_id": "string", "data": { "provider_location_id": "pr_abc123-def456_wxyz7890|lo_abc123-def456_wxyz7890", "provider_location_type": "in_person_provider", "accepts_patient_insurance": "accepted", "first_availability_date_in_provider_local_time": "2019-08-24", "provider": {}, "location": {}, "virtual_location": {}, "practice": {}, "booking_requirements": {} } }